# drop\_pickup\_item

## `drop_pickup_item`

**触发效果**[**​**](https://plugins.auxilor.io/effects/all-effects/drop_pickup_item#triggered-effect)

在触发器属性中的位置掉落一个捡起后执行对应效果的物品。

**需要 Paper。**

## 示例配置

```yaml
- id: drop_pickup_item
  args:
      item: diamond # 物品材质，实际上该物品无法被捡起
      glow-color: aqua # 可选，物品的颜色，颜色列表见 https://hub.spigotmc.org/javadocs/spigot/org/bukkit/ChatColor.html
      run-type: normal # 可选，见配置一个效果一节
      effects:
          - id: send_message
            args:
              message: "&a+ &b20 水晶 ❖"
          - id: give_price
            args:
              type: crystals
              value: 20
              display: ""
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.superiormc.cn/auxilor-plugins/zi-ding-yi-xiao-guo/suo-you-xiao-guo/drop_pickup_item.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
